# -*- encoding: utf-8 -*-
# stub: dronejob 3.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "dronejob".freeze
  s.version = "3.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tobias Strebitzer".freeze]
  s.date = "2020-07-20"
  s.description = "Scalable worker factory for ruby".freeze
  s.email = ["tobias.strebitzer@magloft.com".freeze]
  s.executables = ["dronejob".freeze]
  s.files = ["bin/dronejob".freeze]
  s.homepage = "https://github.com/MagLoft/dronejob".freeze
  s.licenses = ["BSD-3-Clause".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "DroneJob Drone Factory".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bundler>.freeze, ["< 3.0.0", ">= 1.12.0"])
    s.add_runtime_dependency(%q<actionpack>.freeze, [">= 4.0.2", "< 5.0.0"])
    s.add_runtime_dependency(%q<activejob>.freeze, [">= 4.0.2", "< 5.0.0"])
    s.add_runtime_dependency(%q<bigdecimal>.freeze, ["~> 1.4"])
    s.add_runtime_dependency(%q<git>.freeze, [">= 1.3"])
    s.add_runtime_dependency(%q<google-cloud-logging>.freeze, [">= 1.2"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0.19"])
    s.add_runtime_dependency(%q<workspace>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<workspace-archive>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<workspace-media>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<workspace-net>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<workspace-parse>.freeze, [">= 2.0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0.10"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 3.3"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0.50"])
  else
    s.add_dependency(%q<bundler>.freeze, ["< 3.0.0", ">= 1.12.0"])
    s.add_dependency(%q<actionpack>.freeze, [">= 4.0.2", "< 5.0.0"])
    s.add_dependency(%q<activejob>.freeze, [">= 4.0.2", "< 5.0.0"])
    s.add_dependency(%q<bigdecimal>.freeze, ["~> 1.4"])
    s.add_dependency(%q<git>.freeze, [">= 1.3"])
    s.add_dependency(%q<google-cloud-logging>.freeze, [">= 1.2"])
    s.add_dependency(%q<thor>.freeze, [">= 0.19"])
    s.add_dependency(%q<workspace>.freeze, [">= 2.0"])
    s.add_dependency(%q<workspace-archive>.freeze, [">= 2.0"])
    s.add_dependency(%q<workspace-media>.freeze, [">= 2.0"])
    s.add_dependency(%q<workspace-net>.freeze, [">= 2.0"])
    s.add_dependency(%q<workspace-parse>.freeze, [">= 2.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0.10"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.3"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0.50"])
  end
end
